Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee5
Class ParamValueTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee5.ParamValueTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ParamValueType<T>

    public class ParamValueTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ParamValueType<T>

This class implements the `param-valueType` xsd type

Original Documentation:

This type is a general type that can be used to declare
parameter/value lists.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ParamValueTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ParamValueTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getParamName()` Returns the `param-name` element
`java.lang.String` | `getParamValue()` Returns the `param-value` element
`ParamValueType<T>` | `removeAllDescription()` Removes the `description` element
`ParamValueType<T>` | `removeParamName()` Removes the `param-name` element
`ParamValueType<T>` | `removeParamValue()` Removes the `param-value` element
`ParamValueType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ParamValueType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ParamValueType<T>` | `setParamName(java.lang.String paramName)` If not already created, a new `param-name` element with the given value will be created.
`ParamValueType<T>` | `setParamValue(java.lang.String paramValue)` If not already created, a new `param-value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamValueTypeImpl

    public ParamValueTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### ParamValueTypeImpl

    public ParamValueTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ParamValueType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### setDescriptionList

    public ParamValueType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ParamValueType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ParamValueType`

### removeAllDescription

    public ParamValueType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ParamValueType<T>`
  Returns:
    list of `description`

### setParamName

    public ParamValueType<T> setParamName(java.lang.String paramName)

  If not already created, a new `param-name` element with the given value will be created. Otherwise, the existing `param-name` element will be updated with the given value.

  Specified by:
    `setParamName` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### removeParamName

    public ParamValueType<T> removeParamName()

  Removes the `param-name` element

  Specified by:
    `removeParamName` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### getParamName

    public java.lang.String getParamName()

  Returns the `param-name` element

  Specified by:
    `getParamName` in interface `ParamValueType<T>`
  Returns:
    the node defined for the element `param-name`

### setParamValue

    public ParamValueType<T> setParamValue(java.lang.String paramValue)

  If not already created, a new `param-value` element with the given value will be created. Otherwise, the existing `param-value` element will be updated with the given value.

  Specified by:
    `setParamValue` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### removeParamValue

    public ParamValueType<T> removeParamValue()

  Removes the `param-value` element

  Specified by:
    `removeParamValue` in interface `ParamValueType<T>`
  Returns:
    the current instance of `ParamValueType`

### getParamValue

    public java.lang.String getParamValue()

  Returns the `param-value` element

  Specified by:
    `getParamValue` in interface `ParamValueType<T>`
  Returns:
    the node defined for the element `param-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD